#
# RTSP (Real Time Streaming Protocol) Reference Implementation
# 
#     Tcl/Tk GUI Interface
#
# Copyright (c) 1996 Progressive Networks.
# All rights reserved.
#
# $Id: gui.tcl,v 1.2 2001/01/09 16:12:46 feamster Exp $
#

wm title . "RTSP/RRTP Multimedia Player v0.9"
wm geometry . 400x200

frame .m	-relief raised		-bd 2
frame .d -width 10c -height 5c
pack  .m .d	-side top		-fill x


frame .nms
pack .nms -side bottom

label .nms.txt -justify left -text "MIT LCS -- Networks and Mobile Systems"
pack .nms.txt -side left
#label .nms.bmp -justify right -bitmap @nms.xbm
#pack .nms.bmp -side right


menubutton	.m.file -text "File" -m .m.file.x -width 5 -underline 0
pack		.m.file -side left
menu		.m.file.x -tearoff no

.m.file.x add command -label "Open Location"	-command { OpenLocation }
.m.file.x add command -label "Exit"		-command { Quit }

menubutton	.m.view -text "View" -m .m.view.x -width 5 -underline 0
pack		.m.view -side left
menu		.m.view.x -tearoff no

.m.view.x add command -label "Preferences"	-command { puts "XXX\n" }
.m.view.x add command -label "Statistics"	-command { puts "XXX\n" }





message .d.msg -width 400 -justify left -text "Example: rtsp://wind.lcs.mit.edu/foo.wav"
pack .d.msg

frame .d.url
pack .d.url

entry .d.url.text -width 40
pack .d.url.text -side left 
button .d.url.ok -text "Open" -width 10 -command { url_cb [ .d.url.text get ] }
pack   .d.url.ok -side left

frame .d.ctl
pack .d.ctl

button .d.ctl.play -text Play -command "Play 0 0"
pack .d.ctl.play -side left
button .d.ctl.pause -text Pause -command "Speed 0 0"
pack .d.ctl.pause -side left
button .d.ctl.stop -text Stop -command "Stop 0"
pack .d.ctl.stop -side left


scale .d.slider -length 300 -from 0 -to 100 -orient horizontal 
pack .d.slider


text .debug -relief sunken
pack .debug

proc SetProgress { pct } {
    set .d.slider pct
}

proc OpenLocation {} {
    toplevel .open
    wm title .open "Open Location"

    message .open.msg -width 400 -justify center -text "Enter URL"
    pack .open.msg

    message .open.msg2 -width 400 -justify center -text "Example: rtsp://wind.lcs.mit.edu/foo.wav"
    pack .open.msg2

    entry .open.url -width 40
    pack .open.url

    frame .open.bf
    pack  .open.bf -pady 5

    button .open.bf.ok -text "Open" -width 10 -command { url_cb [ .open.url get ]; destroy .open }
    pack   .open.bf.ok

    button .open.bf.quit -text "Cancel" -width 10 -command { destroy .open }
    pack   .open.bf.quit -side right -before .open.bf.ok
}

proc SpeedProc { session spd } {
    Speed $session $spd
}

proc NewSession x {
    toplevel .ns$x
    wm title .ns$x "Session $x"

    label .ns$x.l1 -text "Stream Data"
    pack  .ns$x.l1 -anchor w
    text  .ns$x.output -height 10
    pack  .ns$x.output

    label .ns$x.l2 -text "Debug Information"
    pack  .ns$x.l2 -anchor w
    text  .ns$x.debug -height 10
    pack  .ns$x.debug

    frame .ns$x.bf
    pack  .ns$x.bf -pady 5

    button .ns$x.bf.play -text "Play" -width 10 -command "Play $x 0"
    pack   .ns$x.bf.play

    button .ns$x.bf.wav -text "Play Wav" -width 10 -command "Play $x 1"
    pack   .ns$x.bf.wav -side right -before .ns$x.bf.play

    button .ns$x.bf.stop -text "Stop" -width 10 -command "Stop $x"
    pack   .ns$x.bf.stop -side right -before .ns$x.bf.wav

    button .ns$x.bf.resume -text "Resume" -width 10 -command "Resume $x"
    pack   .ns$x.bf.resume -side right -before .ns$x.bf.stop

    scale  .ns$x.speed -length 500 -orient horiz -to 1000 -command "SpeedProc $x"
    pack   .ns$x.speed
    .ns$x.speed set 500
}







